OpenJPH: /build/openjph/src/OpenJPH/subprojects/js/src/ojph_wrapper.cpp File Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_wrapper.cpp File Reference
`#include <exception>`
`#include <emscripten.h>`
`#include "ojph_arch.h"`
`#include "ojph_file.h"`
`#include "ojph_mem.h"`
`#include "ojph_params.h"`
`#include "ojph_codestream.h"`

Go to the source code of this file.

## Classes
struct | j2k_struct

## Functions
j2k_struct * | cpp_create_j2c_data (void)
void | cpp_init_j2c_data (j2k_struct *j2c, const uint8_t *data, size_t size)
void | cpp_parse_j2c_data (j2k_struct *j2c)
void | cpp_release_j2c_data (j2k_struct *j2c)
signed int * | cpp_pull_j2c_line (j2k_struct *j2c)
void | cpp_restrict_input_resolution (j2k_struct *j2c, int skipped_res_for_read, int skipped_res_for_recon)
EMSCRIPTEN_KEEPALIVE j2k_struct * | create_j2c_data (void)
EMSCRIPTEN_KEEPALIVE void | init_j2c_data (j2k_struct *j2c, const uint8_t *data, size_t size)
EMSCRIPTEN_KEEPALIVE int | get_j2c_width (j2k_struct *j2c, int comp_num)
EMSCRIPTEN_KEEPALIVE int | get_j2c_height (j2k_struct *j2c, int comp_num)
EMSCRIPTEN_KEEPALIVE int | get_j2c_bit_depth (j2k_struct *j2c, int comp_num)
EMSCRIPTEN_KEEPALIVE int | get_j2c_is_signed (j2k_struct *j2c, int comp_num)
EMSCRIPTEN_KEEPALIVE int | get_j2c_num_components (j2k_struct *j2c)
EMSCRIPTEN_KEEPALIVE int | get_j2c_downsampling_x (j2k_struct *j2c, int comp_num)
EMSCRIPTEN_KEEPALIVE int | get_j2c_downsampling_y (j2k_struct *j2c, int comp_num)
EMSCRIPTEN_KEEPALIVE void | parse_j2c_data (j2k_struct *j2c)
EMSCRIPTEN_KEEPALIVE void | restrict_input_resolution (j2k_struct *j2c, int skipped_res_for_read, int skipped_res_for_recon)
EMSCRIPTEN_KEEPALIVE void | enable_resilience (j2k_struct *j2c)
EMSCRIPTEN_KEEPALIVE signed int * | pull_j2c_line (j2k_struct *j2c)
EMSCRIPTEN_KEEPALIVE void | release_j2c_data (j2k_struct *j2c)

## Function Documentation

## ◆ cpp_create_j2c_data()

j2k_struct * cpp_create_j2c_data | ( | void |  | ) |

Definition at line 55 of file ojph_wrapper.cpp.

Referenced by create_j2c_data().

## ◆ cpp_init_j2c_data()

void cpp_init_j2c_data | ( | j2k_struct * | j2c,
|  | const uint8_t * | data,
|  | size_t | size )

Definition at line 61 of file ojph_wrapper.cpp.

References j2k_struct::codestream, j2k_struct::mem_file, ojph::mem_infile::open(), and ojph::codestream::read_headers().

Referenced by init_j2c_data().

## ◆ cpp_parse_j2c_data()

void cpp_parse_j2c_data | ( | j2k_struct * | j2c | ) |

Definition at line 76 of file ojph_wrapper.cpp.

References j2k_struct::codestream, ojph::codestream::create(), and ojph::codestream::set_planar().

Referenced by parse_j2c_data().

## ◆ cpp_pull_j2c_line()

signed int * cpp_pull_j2c_line | ( | j2k_struct * | j2c | ) |

Definition at line 100 of file ojph_wrapper.cpp.

References j2k_struct::codestream, ojph::line_buf::i32, and ojph::codestream::pull().

Referenced by pull_j2c_line().

## ◆ cpp_release_j2c_data()

void cpp_release_j2c_data | ( | j2k_struct * | j2c | ) |

Definition at line 91 of file ojph_wrapper.cpp.

Referenced by release_j2c_data().

## ◆ cpp_restrict_input_resolution()

void cpp_restrict_input_resolution | ( | j2k_struct * | j2c,
|  | int | skipped_res_for_read,
|  | int | skipped_res_for_recon )

Definition at line 117 of file ojph_wrapper.cpp.

References j2k_struct::codestream, and ojph::codestream::restrict_input_resolution().

Referenced by restrict_input_resolution().

## ◆ create_j2c_data()

EMSCRIPTEN_KEEPALIVE j2k_struct * create_j2c_data | ( | void |  | ) |

Definition at line 130 of file ojph_wrapper.cpp.

References cpp_create_j2c_data().

## ◆ enable_resilience()

EMSCRIPTEN_KEEPALIVE void enable_resilience | ( | j2k_struct * | j2c | ) |

Definition at line 229 of file ojph_wrapper.cpp.

References j2k_struct::codestream, and ojph::codestream::enable_resilience().

## ◆ get_j2c_bit_depth()

EMSCRIPTEN_KEEPALIVE int get_j2c_bit_depth | ( | j2k_struct * | j2c,
|  | int | comp_num )

Definition at line 160 of file ojph_wrapper.cpp.

References ojph::codestream::access_siz(), j2k_struct::codestream, ojph::param_siz::get_bit_depth(), and ojph::param_siz::get_num_components().

## ◆ get_j2c_downsampling_x()

EMSCRIPTEN_KEEPALIVE int get_j2c_downsampling_x | ( | j2k_struct * | j2c,
|  | int | comp_num )

Definition at line 190 of file ojph_wrapper.cpp.

References ojph::codestream::access_siz(), j2k_struct::codestream, ojph::param_siz::get_downsampling(), ojph::param_siz::get_num_components(), and ojph::point::x.

## ◆ get_j2c_downsampling_y()

EMSCRIPTEN_KEEPALIVE int get_j2c_downsampling_y | ( | j2k_struct * | j2c,
|  | int | comp_num )

Definition at line 201 of file ojph_wrapper.cpp.

References ojph::codestream::access_siz(), j2k_struct::codestream, ojph::param_siz::get_downsampling(), ojph::param_siz::get_num_components(), and ojph::point::y.

## ◆ get_j2c_height()

EMSCRIPTEN_KEEPALIVE int get_j2c_height | ( | j2k_struct * | j2c,
|  | int | comp_num )

Definition at line 152 of file ojph_wrapper.cpp.

References ojph::codestream::access_siz(), j2k_struct::codestream, and ojph::param_siz::get_recon_height().

## ◆ get_j2c_is_signed()

EMSCRIPTEN_KEEPALIVE int get_j2c_is_signed | ( | j2k_struct * | j2c,
|  | int | comp_num )

Definition at line 171 of file ojph_wrapper.cpp.

References ojph::codestream::access_siz(), j2k_struct::codestream, ojph::param_siz::get_num_components(), and ojph::param_siz::is_signed().

## ◆ get_j2c_num_components()

EMSCRIPTEN_KEEPALIVE int get_j2c_num_components | ( | j2k_struct * | j2c | ) |

Definition at line 182 of file ojph_wrapper.cpp.

References ojph::codestream::access_siz(), j2k_struct::codestream, and ojph::param_siz::get_num_components().

## ◆ get_j2c_width()

EMSCRIPTEN_KEEPALIVE int get_j2c_width | ( | j2k_struct * | j2c,
|  | int | comp_num )

Definition at line 144 of file ojph_wrapper.cpp.

References ojph::codestream::access_siz(), j2k_struct::codestream, and ojph::param_siz::get_recon_width().

## ◆ init_j2c_data()

EMSCRIPTEN_KEEPALIVE void init_j2c_data | ( | j2k_struct * | j2c,
|  | const uint8_t * | data,
|  | size_t | size )

Definition at line 137 of file ojph_wrapper.cpp.

References cpp_init_j2c_data().

## ◆ parse_j2c_data()

EMSCRIPTEN_KEEPALIVE void parse_j2c_data | ( | j2k_struct * | j2c | ) |

Definition at line 212 of file ojph_wrapper.cpp.

References cpp_parse_j2c_data().

## ◆ pull_j2c_line()

EMSCRIPTEN_KEEPALIVE signed int * pull_j2c_line | ( | j2k_struct * | j2c | ) |

Definition at line 236 of file ojph_wrapper.cpp.

References cpp_pull_j2c_line().

## ◆ release_j2c_data()

EMSCRIPTEN_KEEPALIVE void release_j2c_data | ( | j2k_struct * | j2c | ) |

Definition at line 243 of file ojph_wrapper.cpp.

References cpp_release_j2c_data().

## ◆ restrict_input_resolution()

EMSCRIPTEN_KEEPALIVE void restrict_input_resolution | ( | j2k_struct * | j2c,
|  | int | skipped_res_for_read,
|  | int | skipped_res_for_recon )

Definition at line 219 of file ojph_wrapper.cpp.

References cpp_restrict_input_resolution().